<?php

namespace Tests\App\Models;

use Tests\Support\ModelCrudTestCase;
use App\Models\RolePermissionModel;

class RolePermissionModelTest extends ModelCrudTestCase
{

    public function testCanInsertAndRetrieve()
    {
        $this->assertModelCanInsertAndRetrieve(RolePermissionModel::class);
    }

    public function testCanUpdate()
    {
        $this->assertModelCanUpdate(RolePermissionModel::class);
    }

    public function testCanDelete()
    {
        $this->assertModelCanDelete(RolePermissionModel::class);
    }
}
